Subject: Re: [regext] Provider status? (Problems with IP network requests)

From: Gavin Brown <[email-masked]>
Date: Fri, 8 Jun 2018 16:24:11 +0100

Hi Adam (and the list),

Since my last email, I've updated rdap.org so that it uses the bootstrap
registries. So a query to https://rdap.org/{domain,ip,autnum}/{handle}
will redirect to the correct RDAP service (as long as that service is in
the bootstrap files).

Once the object tag registry is up, I'll add support for that too.

Please (everyone) feel free to test, try to break, etc. Drop me a line
with any feedback.

G.

On 16/05/2018 22:04, Gavin Brown wrote:
> Hi Adam,
> 
> I run rdap.org (in a personal capacity). Unfortunately it has not
> received the attention it needs: it does not consume the IANA bootstrap
> file, so its map of prefixes to RIRs may not be complete. My apologies.
> 
> If you're writing a client implementation I suggest you consume the
> bootstrap file directly, as per RFC 7484.
> 
> Gavin.
> 
> On 16/05/2018 13:24, Adam Shannon wrote:
>> Hi all,
>>
>> I'm working on a client implementation of RDAP and running into some
>> problems.
>>
>> Are all IPv4 ranges covered? It doesn't appear so, and servers from
>> about.rdap.org <http://about.rdap.org> don't seem to be responding to
>> domains they're said to serve.
>>
>> $ curl -L -v -H "Accept: application/json" https://rdap.org/ip/$(dig
>> +short code.jobs <http://code.jobs>) 
>> ...
>>> GET /ip/45.56.121.172 <http://45.56.121.172> HTTP/2
>>> Host: rdap.org <http://rdap.org>
>>> Accept: application/json
>>
>> < content-type: application/rdap_error+json
>>
>> {"errorCode":404,"title":"No RDAP service could be found for
>> '45.56.121.172'"}
>>
>> Also, I tried another example and am seeing a different response format
>> than what I saw in the RFC's.
>>
>> $ curl -L -v -H "Accept: application/json" https://rdap.org/ip/192.0.2.0
>> {
>>     "net": {
>>         // ...
>>         "registrationDate": {
>>             "$": "2009-06-29T11:15:30-04:00"
>>         },
>>         "ref": {
>>             "$": "https://whois.arin.net/rest/net/NET-192-0-2-0-1"
>>         },
>>         "endAddress": {
>>             "$": "192.0.2.255"
>>         },
>>         "handle": {
>>             "$": "NET-192-0-2-0-1"
>>         },
>>         // ...
>>         "version": {
>>             "$": "4"
>>         }
>>     }
>> }
>>
>>
>> _______________________________________________
>> regext mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/regext
>>
> 

-- 
Gavin Brown
Chief Technology Officer
CentralNic Group plc (LSE:CNIC)
Innovative, Reliable and Flexible Registry Services
for ccTLD, gTLD and private domain name registries
https://www.centralnic.com/
+44.7548243029

CentralNic Group plc is a company registered in England and Wales with
company number 8576358. Registered Offices: 35-39 Moorgate, London,
EC2R 6AR.